- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TexGen File Reference

`#include <osg/Plane>`
`#include <osg/StateAttribute>`

Include dependency graph for TexGen:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::TexGen
| TexGen encapsulates the OpenGL glTexGen (texture coordinate generation) state. More...
## Defines
#define | OSG_TEXGEN 1
#define | GL_NORMAL_MAP_ARB 0x8511
#define | GL_REFLECTION_MAP_ARB 0x8512

## Define Documentation

#define GL_NORMAL_MAP_ARB 0x8511

#define GL_REFLECTION_MAP_ARB 0x8512

#define OSG_TEXGEN 1